<template>
    <div class="row mt50">
        <div class="col-4"></div>
        <div class="col-4 login">
            <div class="title">
                <h5>Шүдний эмнэлгийн систем</h5>
            </div>
            <input type="text" class="form-input" placeholder="Нэвтрэх нэр" autofocus v-model="username" @keyup.13="login()">
            <input type="password" class="form-input" placeholder="Нууц үг" v-model="password" @keyup.13="login()">
            <div class="alert alert-done" v-if="error"> Нэр эсвэл нууц үг буруу байна. </div>
            <div class="btn-outline submit" @click="login()">Нэвтрэх</div>
        </div>
        <div class="col-4"></div>
    </div>
</template>

<script>
    import '../assets/style.css'
    import Auth from '../auth/index'

    export default {
      data() {
        return {
          username: '',
          password: '',
          error: false
        }
      },
      methods: {
        login() {
          Auth.login(this, {username: this.username, password: this.password}, '/')
        }
      }
    }
</script>

<style scoped>
    input.form-input {
        width: 97%;
        font-family: myRoboto;
    }
    .login {
        background: #fff;
        text-align: right;
    }
    .title h5 {
        text-align: center;
    }
    .submit {
        font-family: myRoboto;
    }
</style>
